
QGIS Application - Bug report #3216

WMS not working correctly

2010-11-15 05:20 AM - pinux -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 13276

Description

This mapfile is working without problems on qgis 1.4:

MAP

  NAME my_map

  SIZE 640 640

  UNITS meters

  EXTENT 5387500.000000 4989000.000000 5401000.000000 5007000.000000

  IMAGECOLOR 255 255 255

  IMAGEQUALITY 100

  IMAGETYPE jpeg

PROJECTION

    "init=epsg:900913" 

END 

OUTPUTFORMAT

  NAME jpeg

  DRIVER "GD/JPEG" 

  MIMETYPE "image/jpeg" 

  IMAGEMODE RGB

  EXTENSION "jpg" 

END

   MAXSIZE 4096

  WEB

    IMAGEPATH 'C:/tmp/'

    IMAGEURL 'C:/tmp/'

    # WMS server settings

    METADATA

      'wms_title'           'My layer'

      'wms_onlineresource' 'http://localhost/cgi-bin/mapserv.exe?map=C:\\my_map.map'

      'wms_srs'             'EPSG:900913'

    END

  END

  LAYER

   PROCESSING "RESAMPLE=NEAREST" 

    NAME "My map" 
    STATUS ON

    TILEINDEX "index.shp" 

    TILEITEM "Location" 

    TYPE RASTER

    METADATA

      'wms_title' 'My Layer map'

    END

    STATUS DEFAULT

    TRANSPARENCY 100

  END

END

From 1.5 to the trunk r14547 I'm having the following problems:

1. When I try to select the layer under the number 1 it is automatically selecting the name of my map under number 0. It happens even

when I have more than 1 layer.

2. The output format is not automatically selected to jpg like it was working on qgis 1.4.

History

#1 - 2011-03-02 08:13 AM - Paolo Cavallini

Please check again with 1.6 or trunk. I cannot reproduce it. Thanks.

#2 - 2011-04-19 10:49 PM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Open to Closed

probably solved.  closing for the lack of feedback.
